Track the lifecycle of a deposit
Returns the fill status of a deposit along with a corresponding fill transaction hash if filled. This endpoint loads data queried by an indexing service that polls relevant events on a 10-second cadence. Users should therefore expect an average latency of 1 to 15 seconds after submitting a deposit to see the status changed in this endpoint. This delay comes from the time it takes for the internal indexing to include the deposit transaction.
Authorization
bearerAuth API key for authentication. Request your key at https://t.me/acrosstg.
In: header
Query Parameters
Chain Id where the deposit originated from. This must be used in conjunction with depositId. depositTxHash is not required when using this parameter.
1 <= value1 | 10 | 137 | 324 | 8453 | 42161 | 59144 | 84532 | 421614 | 11155420 | 11155111The deposit id that is emitted from the FundsDeposited event. This must be used in conjunction with originChainId. depositTxnRef is not required when using this parameter.
0 <= valueThe deposit transaction hash that is emitted from the FundsDeposited event. If you are using this, you donot need the other parameters (i.e. originChainId and depositId).
The counterfactual deposit address returned by /swap/counterfactual. Must be used together with index. When provided, depositTxnRef, originChainId, and depositId are not required.
Zero-based index of the deposit to a given deposit address, starting from 0 for the first deposit. Must be used together with depositAddress.
0 <= valueResponse Body
application/json
application/json
application/json
curl -X GET "https://app.across.to/api/deposit/status?originChainId=137&depositId=1349975&depositTxnRef=0x56a86610aad2a653161c9dd4b4972f948198fd02ae9589cfac1d57bd86a156c1&depositAddress=0x1234...abcd&index=0"{
"status": "filled",
"originChainId": 8453,
"depositId": "4406025",
"depositTxnRef": "0x0e44727151684ef4cfe7744aad88007cf55b155a64f5f9047fb9d2fa53780967",
"fillTxnRef": "0x0e7b85f1c49c4c89f3b381f12a24d6838be16a41021ab16645bae9dcd1278238",
"destinationChainId": 137,
"depositRefundTxnRef": null,
"actionsSucceeded": "null,",
"pagination": {
"currentIndex": 0,
"maxIndex": 0
}
}{
"type": "AcrossApiError",
"code": "INVALID_PARAM",
"status": 400,
"message": "Invalid parameter at path 'depositId'. Expected type 'union'",
"param": "originToken"
}{
"type": "AcrossApiError",
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal server error"
}Get all details for a single deposit GET
Returns a single deposit matching the provided query parameters. Searches across all deposit types: Across intents (V3FundsDeposited), CCTP (DepositForBurn), OFT (OFTSent). At least one of the following parameter combinations is required: 1. `depositTxnRef` 2. `depositId` AND `originChainId` 3. `relayDataHash`
Get all deposits for a given depositor GET
Returns all deposits for a given depositor. This endpoint loads data queried by an indexing service that polls relevant events on a 10-second cadence. Users should therefore expect an average latency of 1 to 15 seconds after submitting a deposit to see the status changed in this endpoint. This delay comes from the time it takes for the internal indexing to include the deposit transaction.